GHSA-6987-xccv-fhjp

Suggest an improvement
Source
https://github.com/advisories/GHSA-6987-xccv-fhjp
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2023/05/GHSA-6987-xccv-fhjp/GHSA-6987-xccv-fhjp.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-6987-xccv-fhjp
Aliases
  • CVE-2023-32981
Published
2023-05-16T18:30:16Z
Modified
2024-02-16T08:03:42.514767Z
Severity
  • CVSS_V3 - CVSS:3.1/AV:N/AC:L/PR:L/UI:N/S:U/C:L/I:L/A:L
Summary
Jenkins Pipeline Utility Steps Plugin arbitrary file write vulnerability
Details

Jenkins Pipeline Utility Steps Plugin provides the untar and unzip Pipeline steps to extract archives into job workspaces.

Pipeline Utility Steps Plugin 2.15.2 and earlier does not validate or limit file paths of files contained within these archives.

This allows attackers able to provide crafted archives as parameters to create or replace arbitrary files on the agent file system with attacker-specified content.

Pipeline Utility Steps Plugin 2.15.3 rejects extraction of files in tar and zip archives that would be placed outside the expected destination directory.

References

Affected packages

Maven / org.jenkins-ci.plugins:pipeline-utility-steps

Package

Name
org.jenkins-ci.plugins:pipeline-utility-steps
Purl
pkg:maven/org.jenkins-ci.plugins/pipeline-utility-steps

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0The exact introduced commit is unknown
Fixed
2.15.3

Affected versions

1.*

1.0
1.1
1.1.1
1.1.2
1.1.3
1.1.4
1.1.5
1.1.6
1.2.0
1.2.1
1.2.2
1.3.0
1.4.0
1.4.1
1.5.0
1.5.1

2.*

2.0
2.0.1
2.0.2
2.1.0
2.2.0
2.3.0
2.3.1
2.4.0
2.5.0
2.6.0
2.6.1
2.7.0
2.7.1
2.8.0
2.9.0
2.10.0
2.11.0
2.12.0
2.12.1
2.12.2
2.13.0
2.13.1
2.13.2
2.14.0
2.15.0
2.15.1
2.15.1.1
2.15.2